JUCE: juce::midi_ci::GroupProfileStates Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::GroupProfileStates Class Reference
juce_midi_ci » ci

Contains profile states for each channel in a group, along with the state of profiles that apply to the group itself. More...

`#include <juce_CIProfileStates.h>`

## Public Member Functions
auto * | getStateForDestination (ChannelInGroup d)
| Returns the profile state for the group or a contained channel as appropriate.
auto * | getStateForDestination (ChannelInGroup d) const
| Returns the profile state for the group or a contained channel as appropriate.

## Public Attributes
std::array< ChannelProfileStates, 16 > | channelStates
| Profile states for each channel in the group.
ChannelProfileStates | groupState
| Profile states for the group itself.

## Detailed Description

Contains profile states for each channel in a group, along with the state of profiles that apply to the group itself.

## Member Function Documentation

## ◆ getStateForDestination() [1/2]

auto * juce::midi_ci::GroupProfileStates::getStateForDestination | ( | ChannelInGroup | d | ) |

Returns the profile state for the group or a contained channel as appropriate.

Returns nullptr if ChannelInGroup refers to a whole function block.

## ◆ getStateForDestination() [2/2]

auto * juce::midi_ci::GroupProfileStates::getStateForDestination | ( | ChannelInGroup | d | ) | const

Returns the profile state for the group or a contained channel as appropriate.

Returns nullptr if ChannelInGroup refers to a whole function block.

## Member Data Documentation

## ◆ channelStates

std::array<ChannelProfileStates, 16> juce::midi_ci::GroupProfileStates::channelStates

Profile states for each channel in the group.

## ◆ groupState

ChannelProfileStates juce::midi_ci::GroupProfileStates::groupState

Profile states for the group itself.

The documentation for this class was generated from the following file:

- juce_CIProfileStates.h